aboutsummaryrefslogtreecommitdiff
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorDavid Timber <dxdt@dev.snart.me>2022-06-02 12:19:11 +0800
committerDavid Timber <dxdt@dev.snart.me>2022-06-02 12:19:11 +0800
commit31e7acb5c965067463f33fa59fc463086a298350 (patch)
tree921df7d673b812255da0bca13b967930a498a7ff /bootstrap.sh
parent80a062ef30a2f945f6634ca9a0bf2b886a54e3ae (diff)
Doc and final touches ...
- Add .settings.json for doxygen settings - Add /doc/impl.md - Doc and change usage of /bootstrap.sh - Add notes to docs - Add 7-bit char machine check - Normailise description for init and free functions - Doc rest of source code - Remove unused function: prne_str_shift_spaces()
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index d6d0946..141ff9d 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -1,4 +1,15 @@
#!/bin/sh
+if [ $# -ne 0 ]; then
+ cat >&2 << EOF
+Bootstrap the project directory for Autoconf and Automake. Run this script after
+making changes to .ac and .am files.
+Usage: $0
+
+The script requires no arguments in order to run.
+EOF
+ exit 2
+fi
+
aclocal &&
automake --add-missing --copy &&
autoconf &&